Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1450723 - Review Request: nodejs-babel-polyfill - Provides polyfills necessary for a full ES2015+ environment
Summary: Review Request: nodejs-babel-polyfill - Provides polyfills necessary for a fu...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1400600 1442275 1444560
Blocks: nodejs-reviews 1317317
TreeView+ depends on / blocked
 
Reported: 2017-05-15 03:28 UTC by Parag Nemade
Modified: 2018-07-24 03:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-24 03:33:22 UTC


Attachments (Terms of Use)

Description Parag Nemade 2017-05-15 03:28:39 UTC
Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-babel-polyfill.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-babel-polyfill-6.23.0-1.fc26.src.rpm

Description:
Functions to make sure the new buffer methods work in older browsers.

Comment 1 Stephen Gallagher 2017-05-31 00:59:07 UTC
This spec doesn't currently build in Fedora, as there is no npm(babel-runtime) or npm(regenerator-runtime) in the distribution.

Comment 2 Parag Nemade 2017-05-31 05:37:24 UTC
Sorry missed to add the dependencies.

Please note that npm(regenerator-runtime) is provided by subpackage nodejs-regenerator-runtime from nodejs-regenerator package. See bug 1444560

I am still waiting for Jared Smith to finish importing and building nodejs-babel-runtime package in Fedora. See bug 1442275

Comment 3 Parag Nemade 2017-09-19 12:17:11 UTC
I am still waiting for someone to review this. The nodejs-readable-stream update got stuck due to this dependency.

Comment 4 Robert-André Mauchin 2017-09-19 12:20:34 UTC
Hello,

 - Please bump to the latest revision:

Version:    6.26.0

 - Please switch
BuildRequires:  npm(regenerator-runtime)

  to

BuildRequires:  npm(regenerator)

  as specified by https://bugzilla.redhat.com/show_bug.cgi?id=1444560

It also require a more recent version of npm(regenerator), see bug #1400600, nodejs-babel-runtime 6.26.0, and nodejs-core-js >= 2.5.0

Comment 5 Robert-André Mauchin 2017-09-19 12:22:07 UTC
Oops, please disregard my comment about npm(regenerator), I was wrong and forgot to erase it.

Comment 6 Parag Nemade 2017-09-19 16:33:30 UTC
Let's wait first for nodejs-regenerator updated to 0.10.0 version.

Comment 7 Robert-André Mauchin 2017-09-19 17:37:05 UTC
Don't hesitate to bug me on IRC (eclipseo) when this is through.

Comment 8 Parag Nemade 2018-07-24 03:33:22 UTC
Sorry but I don't have time to continue with this review. Hence closing this review. Any other contributor can submit this package as a new bugzilla request if needed.

Thank you zebob.m for your review comments.


Note You need to log in before you can comment on or make changes to this bug.